Autocad height points to SketchUp question
-
We have an Autocad file with points for heights that seem to be text objects. (If we click on it in Autocad it says it is text and you can delete the + sign, but its positioned like a point in space.)
When imported into SketchUp they are not transfered and when exploded they become flat in Z axis.
Does anyone know how to convert these "text points" into dem, x,y,z or anything that can be imported into SketchUp so that we can create a surface with Toposhaper or other plugin? -
Are you sure there is no point (is PDMODE set to 0)? Is it too hard to add points in AutoCAD?
-
We managed to solved it with a lisp script to turn text into points in AutoCAD. When importing into SketchUp we got it in as SketchUp points.
However Toposhaper didn't work with the points. I just got a ! in a error popup. Managed to get a triangulated surface by using a script by TIG so all is well but I'm still curious why Toposhaper didn't work. The "!" doesn't say much about why it didn't work. -
@pixero said:
We managed to solved it with a lisp script to turn text into points in AutoCAD. When importing into SketchUp we got it in as SketchUp points.
However Toposhaper didn't work with the points. I just got a ! in a error popup. Managed to get a triangulated surface by using a script by TIG so all is well but I'm still curious why Toposhaper didn't work. The "!" doesn't say much about why it didn't work.I'm not sure but it's probably TopoShaper only accepts contour lines to work with.
I'm curious about the script you used and export worfklow in Autocad, could you please share? -
It says it can do points as well...
-
Oh, my bad then. Used only contours with this plugin in the past.
Did you have a look at this topic?
It works for me. Make sure the point cloud is 'groupped' like this. Otherwise it gives '!' error
-
Thanks, it was probably that it wasn't grouped. I'll get back about the lisp script solution. Have to finish a presentation right now.
-
Here's how we solved it in AutoCad.
` ; 2017-05-17
; load with: appload
; run with: CONVERT_TEXT_TO_POINT
; chose to use Koord or Value(defun C:Convert_Text_to_Point (/ ss Z_value temp koord)
(if (setq ss (ssget "_:L" '((0 . "Text"))))
(progn
(initget "Koord Value")
(setq
Z_value (getkword "\nTake Z from [Koord/Value]? <Value>:")
Z_value (if Z_value
Z_value
"Value"
)
ss (vl-remove-if-not
'(lambda (x) (= (type x) 'ENAME))
(mapcar 'cadr (ssnamex ss))
)
)
(foreach item ss
(setq temp (entget item)
koord (cdr (assoc 10 temp))
koord (if (eq Z_value "Value")
(list (car koord)
(cadr koord)
(atof (cdr (assoc 1 temp)))
)
koord
)
)
(entdel item)
(entmakex
(list
'(0 . "POINT")
(cons 10 koord)
)
)
)
)
)
)`Copy the code above and save as "text-to-points.lsp"
In AutoCad, type: appload to load the script.
Select the text you want to convert to points.
To run the script type: CONVERT_TEXT_TO_POINT
Chose to use Koord (K) or Value (V).
After its been converted to points you can save as a dwg and import into SketchUp then use Toposhaper or TIGs script to create triangulated surface from points.
As you said the points need to be grouped to work with Toposhaper.
Hope this helps. -
Thanks for the script.
-
Thank you Pixero.
Advertisement